Skip to main content
`Ctrl`+`K`

# PCBDDCGetDirichletBoundariesLocal

Get parallel `IS` for Dirichlet boundaries (in local ordering)

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetDirichletBoundariesLocal(PC pc, IS *DirichletBoundaries)

Collective

## Input Parameter

- pc - the preconditioning context

## Output Parameter

- DirichletBoundaries - index set defining the subdomain part of Dirichlet boundaries

## Note

The `IS` returned could be the same passed in earlier by the user (if provided with `PCBDDCSetDirichletBoundariesLocal()`) or a global-to-local map of the global `IS` (if provided with `PCBDDCSetDirichletBoundaries()`). In the latter case, the `IS` will be available only after `PCSetUp()`.

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCGetDirichletBoundaries()`, `PCBDDCSetDirichletBoundaries()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Implementations

PCBDDCGetDirichletBoundariesLocal_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages